Contact records
Update an email
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
The UUID of the email.
TypeScript Definitions
Use the request body type in TypeScript.
Request body for updating an email.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/emails/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "emails", "attributes": {} } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "emails", "attributes": { "address": "string", "consent": true, "consent_directory": true, "consent_third_party": true, "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "domain": "string", "localpart": "string", "primary": true, "type": "string", "type_external_id": "string", "unique": true, "updated_at": "2019-08-24T14:15:22Z", "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f" }, "relationships": { "emailable": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/emails/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/emailable", "related": "/emails/7247ad7d-9275-454b-9e3a-0570e403739e/emailable" } }, "organization": { "data": { "type": "organizations", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/emails/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization", "related": "/emails/7247ad7d-9275-454b-9e3a-0570e403739e/organization" } } } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}